#version 300 es

in vec4 aPosition;
in vec2 aTextureCoord;

uniform float uAspectRatio;
uniform vec4 uRectBounds;
uniform float uScale;

out vec2 vNormalUV;
out vec2 vUV;

void main() {
    vec2 uv = vec2(aTextureCoord.x, 1.0-aTextureCoord.y);

    gl_Position = aPosition;
    vUV = uv;
    vNormalUV = uv * uScale;
}